Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 719104 - dev-python/natgrid: need py3.7, 3.8 port
Summary: dev-python/natgrid: need py3.7, 3.8 port
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2020-09-21
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: python3.7-compat
  Show dependency tree
 
Reported: 2020-04-23 17:46 UTC by Michał Górny
Modified: 2020-09-21 14:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-23 17:46:04 UTC
The packages are stuck on py3.6 which means they will be pain once we switch to 3.7.  Please test them on 3.7 *and* 3.8 (so we don't to revisit this in a few months), and update PYTHON_COMPAT appropriately.  If it doesn't work, please either fix it, remove Python or issue last rites.  Please consider this urgent.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-08-16 09:19:47 UTC
Ping.
Comment 2 David Seifert gentoo-dev 2020-08-17 17:34:50 UTC
Dead upstream, can be last-rited.
Comment 3 Larry the Git Cow gentoo-dev 2020-09-21 14:26:14 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c532ae36360806cbf9824f1729df2d1c3468259

commit 2c532ae36360806cbf9824f1729df2d1c3468259
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-09-21 14:23:33 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-09-21 14:26:01 +0000

    dev-python/natgrid: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/719104
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/natgrid/Manifest                |  1 -
 dev-python/natgrid/metadata.xml            | 17 ----------------
 dev-python/natgrid/natgrid-0.2.1-r3.ebuild | 32 ------------------------------
 profiles/package.mask                      |  1 -
 4 files changed, 51 deletions(-)